# GridFire: src/include/gridfire/engine/diagnostics/dynamic_engine_diagnostics.h File Reference

Loading...
Searching...
No Matches
dynamic_engine_diagnostics.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include <vector>`
`#include <string>`

## Namespaces

namespace | gridfire
namespace | gridfire::diagnostics

## Functions

void | gridfire::diagnostics::report_limiting_species (const DynamicEngine &engine, const std::vector< double > &Y_full, const std::vector< double > &E_full, const std::vector< double > &dydt_full, double relTol, double absTol, size_t top_n=10)
void | gridfire::diagnostics::inspect_species_balance (const DynamicEngine &engine, const std::string &species_name, const fourdst::composition::Composition &comp, double T9, double rho)
void | gridfire::diagnostics::inspect_jacobian_stiffness (const DynamicEngine &engine, const fourdst::composition::Composition &comp, double T9, double rho)